Package org.silverpeas.components.survey.servlets

## Class RecordParticipation

- java.lang.Object
- - jakarta.servlet.GenericServlet
  - - jakarta.servlet.http.HttpServlet
    - - org.silverpeas.components.survey.servlets.RecordParticipation

- All Implemented Interfaces:
    `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

      public class RecordParticipation
      extends jakarta.servlet.http.HttpServlet

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class jakarta.servlet.http.HttpServlet

      `LEGACY_DO_HEAD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RecordParticipation()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doGet​(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)` | Method invoked when called from a form or directly by URL
    `void` | `doPost​(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)` | Method invoked when called from a form or directly by URL

    - ### Methods inherited from class jakarta.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, init, service, service`

    - ### Methods inherited from class jakarta.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordParticipation

          public RecordParticipation()

  - ### Method Detail

    - #### doPost

          public void doPost​(jakarta.servlet.http.HttpServletRequest request,
                             jakarta.servlet.http.HttpServletResponse response)

      Method invoked when called from a form or directly by URL
      Overrides:
        `doPost` in class `jakarta.servlet.http.HttpServlet`

    - #### doGet

          public void doGet​(jakarta.servlet.http.HttpServletRequest request,
                            jakarta.servlet.http.HttpServletResponse response)

      Method invoked when called from a form or directly by URL
      Overrides:
        `doGet` in class `jakarta.servlet.http.HttpServlet`